%global         gtk2version     2.24
%global         gtk3version     3.18
%global         gtk4version     3.90
%global         pkgname         Adapta

Name:           adapta-gtk-theme
Version:        3.94.0.143
Release:        1%{?dist}
Epoch:          1
Summary:        An adaptive Gtk+ theme based on Material Design Guidelines

Group:          User Interface/Desktops
# SVG-files are CC-BY-SA rest is GPLv3+
License:        GPLv3+ and CC-BY-SA
URL:            https://github.com/adapta-project/%{pkgname}
Source:         https://github.com/adapta-project/%{pkgname}/archive/%{version}.tar.gz

BuildRequires:  automake
BuildRequires:  sassc >= 3.3
BuildRequires:  inkscape >= 0.91
BuildRequires:  parallel
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildArch:      noarch

Provides:       adapta-gtk-theme = %{version}-%{release}

%description
An adaptive Gtk+ theme based on Material Design Guidelines.
Lots of elements are forked from Flat-Plat: https://github.com/nana-4/Flat-Plat

%package common
Summary:        Files common to %{pkgname} themes
Group:          User Interface/Desktops
Requires:       gnome-themes-standard
Requires:       google-roboto-fonts
Provides:       %{name}-common = %{version}-%{release}
Obsoletes:      %{name}-gedit <= %{version}-%{release}
Obsoletes:      %{name}-chrome <= %{version}-%{release}

%description common
Files which are common to all %{pkgname} themes.

%package gtk2
Summary:        %{pkgname} GTK+2 themes
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}
Requires:       gtk2 >= %{gtk2version}
Requires:       gtk2-engines

%description gtk2
Themes for GTK+2 as part of the %{pkgname} theme.

%package gtk3
Summary:        %{pkgname} GTK+3 themes
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}
Requires:       gtk3 >= %{gtk3version}

%description gtk3
Themes for GTK+3 as part of the %{pkgname} theme.

%if 0%{?fedora} >= 27
%package gtk4
Summary:        %{pkgname} GTK+4 themes
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}
Requires:       gtk4 >= %{gtk4version}

%description gtk4
Themes for GTK+4 as part of the %{pkgname} theme.
%endif

%package metacity
Summary:        %{pkgname} Metacity themes
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}
Requires:       metacity

%description metacity
Themes for Metacity as part of the %{pkgname} theme.

%package cinnamon
Summary:        %{pkgname} Cinnamon themes
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}
Requires:       cinnamon
Requires:       google-noto-sans-fonts

%description cinnamon
Themes for Cinnamon as part of the %{pkgname} theme.

%package -n gnome-shell-theme-adapta
Summary:        Adapta GNOME Shell theme
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}
Requires:       gnome-shell-extension-user-theme >= %{gtk3version}
Requires:       google-noto-sans-fonts

%description -n gnome-shell-theme-adapta
Adapta GNOME Shell theme.

%package xfwm4
Summary:        %{pkgname} Xfwm4 themes
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}
Requires:       xfwm4

%description xfwm4
Themes for Xfwm4 as part of the %{pkgname} theme.

%package xfce4-notifyd
Summary:        %{pkgname} Xfce4 notifyd theme
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}
Requires:       xfce4-notifyd

%description xfce4-notifyd
Themes for Xfce4 notifyd as part of the %{pkgname} theme.

%package plank
Summary:        %{pkgname} Plank themes
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}
Requires:       plank

%description plank
Themes for Plank as part of the %{pkgname} theme.

%package openbox
Summary:        %{pkgname} openbox themes
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}
Requires:       openbox >= 3.6.1

%description openbox
Themes for openbox as part of the Adapta theme.

%prep -n
%autosetup -n %{name}-%{version}

%build
NOCONFIGURE=yes ./autogen.sh

%configure \
--prefix=%{_prefix} \
--disable-parallel \
--disable-chrome-legacy \
--enable-plank \
--enable-telegram \
--enable-tweetdeck \
--enable-gtk_next

%make_build

%install
%make_install
rm %{buildroot}%{_datadir}/themes/%{pkgname}/index.theme
rm %{buildroot}%{_datadir}/themes/%{pkgname}-Eta/index.theme
rm %{buildroot}%{_datadir}/themes/%{pkgname}-Nokto/index.theme
rm %{buildroot}%{_datadir}/themes/%{pkgname}-Nokto-Eta/index.theme

%clean
rm -rf %{buildroot}

%files common
%dir %{_datadir}/themes/%{pkgname}/
%dir %{_datadir}/themes/%{pkgname}-Eta/
%dir %{_datadir}/themes/%{pkgname}-Nokto/
%dir %{_datadir}/themes/%{pkgname}-Nokto-Eta/
%license %{_datadir}/themes/%{pkgname}/COPYING
%license %{_datadir}/themes/%{pkgname}/LICENSE_CC_BY_SA4
%doc %{_datadir}/themes/%{pkgname}/README.md
%doc %{_datadir}/themes/%{pkgname}/gedit/README.md
%{_datadir}/themes/%{pkgname}/gedit/adapta.xml
%{_datadir}/themes/%{pkgname}-Nokto/gedit
%{_datadir}/themes/%{pkgname}/telegram/adapta.tdesktop-theme
%{_datadir}/themes/%{pkgname}-Eta/telegram
%{_datadir}/themes/%{pkgname}-Nokto/telegram/adapta-nokto.tdesktop-theme
%{_datadir}/themes/%{pkgname}-Nokto-Eta/telegram
%{_datadir}/themes/%{pkgname}/tweetdeck/*.cdk
%{_datadir}/themes/%{pkgname}-Eta/tweetdeck
%{_datadir}/themes/%{pkgname}-Nokto/tweetdeck/*.cdk
%{_datadir}/themes/%{pkgname}-Nokto-Eta/tweetdeck

%files gtk2
%{_datadir}/themes/%{pkgname}/gtk-2.0/
%{_datadir}/themes/%{pkgname}-Eta/gtk-2.0/
%{_datadir}/themes/%{pkgname}-Nokto/gtk-2.0/
%{_datadir}/themes/%{pkgname}-Nokto-Eta/gtk-2.0/

%files gtk3
%{_datadir}/themes/%{pkgname}/gtk-3.*/
%{_datadir}/themes/%{pkgname}-Eta/gtk-3.*
%{_datadir}/themes/%{pkgname}-Nokto/gtk-3.*
%{_datadir}/themes/%{pkgname}-Nokto-Eta/gtk-3.*

%files gtk4
%{_datadir}/themes/%{pkgname}/gtk-4.*/
%{_datadir}/themes/%{pkgname}-Eta/gtk-4.*
%{_datadir}/themes/%{pkgname}-Nokto/gtk-4.*
%{_datadir}/themes/%{pkgname}-Nokto-Eta/gtk-4.*

%files -n gnome-shell-theme-adapta
%{_datadir}/themes/%{pkgname}/gnome-shell/
%{_datadir}/themes/%{pkgname}-Nokto/gnome-shell/
%{_datadir}/themes/%{pkgname}-Eta/gnome-shell/
%{_datadir}/themes/%{pkgname}-Nokto-Eta/gnome-shell/

%files metacity
%{_datadir}/themes/%{pkgname}/metacity-1/
%{_datadir}/themes/%{pkgname}-Eta/metacity-1
%{_datadir}/themes/%{pkgname}-Nokto/metacity-1
%{_datadir}/themes/%{pkgname}-Nokto-Eta/metacity-1

%files cinnamon
%{_datadir}/themes/%{pkgname}/cinnamon/
%{_datadir}/themes/%{pkgname}-Nokto/cinnamon/

%files xfwm4
%{_datadir}/themes/%{pkgname}/xfwm4/
%{_datadir}/themes/%{pkgname}-Nokto/xfwm4

%files xfce4-notifyd
%{_datadir}/themes/%{pkgname}/xfce-notify-4.0/

%files plank
%{_datadir}/themes/%{pkgname}/plank/
%{_datadir}/themes/%{pkgname}-Eta/plank
%{_datadir}/themes/%{pkgname}-Nokto/plank
%{_datadir}/themes/%{pkgname}-Nokto-Eta/plank

%files openbox
%{_datadir}/themes/%{pkgname}/openbox-3/
%{_datadir}/themes/%{pkgname}-Nokto/openbox-3/

%changelog
* Wed Oct 19 2016 Heiko Adams <heiko.adams@gmail.com> - 3.22.1-1.201610192105git60d69bb
- Rename to adapta-gtk-theme to follow upstream project-naming

* Tue Aug 30 2016 Heiko Adams <heiko.adams@gmail.com> - 3.21.5-1.201608301600git1232ab7
- New ETA-Version of theme with small widgets included
